be.fgov.ehealth.dics.protocol.v4

## Class AmpListDataType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.AmpListDataType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:30:49+02:00",
                 comments="JAXB RI v2.2.11")
      public class AmpListDataType
      extends Object
      implements Serializable

  Java class for AmpListDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AmpListDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="OfficialName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
               <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
               <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmpListDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultTextType` | `getAbbreviatedName()` Gets the value of the abbreviatedName property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `String` | `getOfficialName()` Gets the value of the officialName property.
    `ConsultTextType` | `getPrescriptionName()` Gets the value of the prescriptionName property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setAbbreviatedName(ConsultTextType value)` Sets the value of the abbreviatedName property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.
    `void` | `setOfficialName(String value)` Sets the value of the officialName property.
    `void` | `setPrescriptionName(ConsultTextType value)` Sets the value of the prescriptionName property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmpListDataType

          public AmpListDataType()

  - ### Method Detail

    - #### getOfficialName

          public String getOfficialName()

      Gets the value of the officialName property.
      Returns:
        possible object is `String`

    - #### setOfficialName

          public void setOfficialName(String value)

      Sets the value of the officialName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getPrescriptionName

          public ConsultTextType getPrescriptionName()

      Gets the value of the prescriptionName property.
      Returns:
        possible object is `ConsultTextType`

    - #### setPrescriptionName

          public void setPrescriptionName(ConsultTextType value)

      Sets the value of the prescriptionName property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getAbbreviatedName

          public ConsultTextType getAbbreviatedName()

      Gets the value of the abbreviatedName property.
      Returns:
        possible object is `ConsultTextType`

    - #### setAbbreviatedName

          public void setAbbreviatedName(ConsultTextType value)

      Sets the value of the abbreviatedName property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.